Subject: bug#25245: Prettify-symbols-mode not working

From: Tassilo Horn <[email-masked]>
Date: Thu, 22 Dec 2016 12:11:03 +0100

Alex Branham <[email-masked]> writes:

Hi Alex,

> I can't seem to get prettify symbols mode to work correctly. In my
> .emacs I have (global-prettify-symbols-mode). According to the auctex
> manual, that should be enough, right?

Yes, that should be enough.

> Weirdly, if I call M-x LaTeX-mode, then prettification works.  Up
> until I save the file C-x C-s, when everything un-prettifies again.  I
> can get the same behavior by calling M-x prettify-symbols-mode twice.

Oh, I think I found the problem.  Prettification won't work when a style
file is loaded causing fontification to be reset.  I'll have a look at
that.

Bye,
Tassilo